<?php
/**
 * The template for adding color options in Customizer
 *
 * @package Catch Themes
 * @subpackage Clean Business Pro
 * @since Clean Business 1.0
 */

//Color Options
$wp_customize->add_panel( 'clean_business_color_options', array(
    'capability'     => 'edit_theme_options',
    'description'    => esc_html__( 'Color Options', 'clean-business-pro' ),
    'priority'       => 300,
    'title'    		 => esc_html__( 'Color Options', 'clean-business-pro' ),
) );

$wp_customize->add_setting( 'color_scheme', array(
	'capability' 		=> 'edit_theme_options',
	'default'    		=> $defaults['color_scheme'],
	'sanitize_callback'	=> 'sanitize_key'
) );

$wp_customize->add_control( 'color_scheme', array(
	'choices'  => clean_business_color_schemes(),
	'label'    => esc_html__( 'Color Scheme', 'clean-business-pro' ),
	'priority' => 5,
	'section'  => 'clean_business_basic_color',
	'settings' => 'color_scheme',
	'type'     => 'radio',
) );

$color_headings = apply_filters( 'clean_business_color_options', 'color_headings' );

foreach ( $color_headings as $key_section => $title_section ) {
	$color_options	= apply_filters( 'clean_business_color_options', $key_section );

	$wp_customize->add_section( 'clean_business_' . $key_section, array(
		'panel' => 'clean_business_color_options',
		'title' => $title_section,
	) );

	foreach ( $color_options as $key => $label ) {
		$wp_customize->add_setting( $key, array(
			'capability'        => 'edit_theme_options',
			'default'           => $defaults[ $key ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $key, array(
			'label'    => $label,
			'section'  => 'clean_business_' . $key_section,
			'settings' => $key,
		) ) );
	}
}
//Color Options End
