<?php
/**
 * The Secondary Sidebar containing the secondary widget area
 *
 * @package Catch Themes
 * @subpackage Clean Business Pro
 * @since Clean Business 1.0
 */
?>

<?php
/**
 * clean_business_before_featured_widget_content hook
 */
do_action( 'clean_business_before_featured_widget_content' );

	$clean_business_classes     = apply_filters( 'clean_business_get_option', 'featured_content_layout' );

	$clean_business_headline    = apply_filters( 'clean_business_get_option', 'featured_content_headline' );
	$clean_business_subheadline = apply_filters( 'clean_business_get_option', 'featured_content_subheadline' );

	echo '
		<section id="featured-content" class="' . $clean_business_classes . '">
			<div class="container">';
				if ( !empty( $clean_business_headline ) || !empty( $clean_business_subheadline ) ) {
					echo '<div class="featured-heading-wrap">';
						if ( !empty( $clean_business_headline ) ) {
							echo '<h2 id="featured-heading" class="entry-title">'. $clean_business_headline .'</h2>';
						}
						if ( !empty( $clean_business_subheadline ) ) {
							echo '<p>'. $clean_business_subheadline .'</p>';
						}
					echo '</div><!-- .featured-heading-wrap -->';
				}

				echo '
				<div class="featured-content-wrap">';

				//Featured Widget Content Area
				if ( is_active_sidebar( 'featured-widget-content' ) ) {
			    	dynamic_sidebar( 'featured--widget-content' );
				}
				echo '
				</div><!-- .featured-content-wrap -->
			</div><!-- .container -->
		</section><!-- #featured-content -->';
/**
 * clean_business_after_featured_widget_content hook
 *
 */
do_action( 'clean_business_after_featured_widget_content' );
